Browse Source

Build system: more improvements and fixes (Patrick).
* in the scripts, use "PREFIX_GCC4TI" instead of "TIGCC", so as to make extra sure that the TIGCC environment variable set in e.g. ~/.bashrc doesn't interfere with the TIGCC definition set by the scripts.

git-svn-id: file:///var/svn/tigccpp/trunk@1332 9552661e-59e3-4036-b4f2-dbe53926924f

debrouxl 15 years ago
parent
commit
db3db44d98

+ 19 - 17
tigcc-linux/INSTALL

@@ -92,7 +92,9 @@ KDE installed, you can use:
 to tell the script to use the text-mode (curses) dialog instead of kdialog.
 
 You will be prompted for:
-* the destination directory you want to install GCC4TI to ($TIGCC)
+* the destination directory you want to install GCC4TI to ($PREFIX_GCC4TI,
+  used only internally during the compilation stage: will become $TIGCC when the
+  build is finished)
 * the bootstrap compiler ($CC) you want to compile GCC4TI with (usually "gcc",
   unless you're cross-compiling, e.g. with "i586-mingw32msvc-gcc").
 * the optimization flags ($CFLAGS) you want to compile GCC4TI with (read the GCC
@@ -127,30 +129,30 @@ This is definitely not what you want.
 2.1. Environment variable settings
 ----------------------------------
 
-Now, set the environment variable TIGCC to the directory you want to install
-GCC4TI into (for example /usr/local/share/gcc4ti). You need to set this variable
-in your profile, because the compilation stage needs it to find some tools and
-tigcc front-end needs it to find the header files.
+Now, set the environment variable PREFIX_GCC4TI to the directory you want to
+install GCC4TI into (for example /usr/local/share/gcc4ti). This variable is
+used only during the compilation stage, so as not to interfere with any
+prior user-defined setting for the TIGCC environment variable (which is used
+_after_ the compilation stage).
 
-If you use bash, add it to your .bashrc file in your home
-directory. You could also use your .profile or .login if
-you have those. If you use tcsh or csh, put it in your
-.cshrc file (or if you use .tcshrc, put it there).
+If you use bash, add it to your .bashrc file in your home directory. You could
+also use your .profile or .login if you have those. If you use tcsh or csh, put
+it in your .cshrc file (or if you use .tcshrc, put it there).
 
 I've never used korn shell. You're on your own if you do.
 
 For bash/sh users
 
-	export TIGCC=/usr/local/share/gcc4ti
-	export PATH=$PATH:$TIGCC/bin
+	export PREFIX_GCC4TI=/usr/local/share/gcc4ti
+	export PATH=$PATH:$PREFIX_GCC4TI/bin
 
 For csh/tcsh users
 
-	setenv TIGCC /usr/local/share/gcc4ti
-	set path=($path $TIGCC/bin)
+	setenv PREFIX_GCC4TI /usr/local/share/gcc4ti
+	set path=($path $PREFIX_GCC4TI/bin)
 
 I've had problems using setenv to reset the path in tcsh.
-setenv path "$path ${TIGCC}/bin"
+setenv path "$path ${PREFIX_GCC4TI}/bin"
 doesn't seem to work.
 
 You may need to logout and log back in for that to take
@@ -208,8 +210,8 @@ the automated script.
 At first, you will have to register a variable depending on the location you
 want to install GCC4TI
 
-	export TIGCC=/usr/local/share/gcc4ti
-	export PATH=$PATH:$TIGCC/bin
+	export PREFIX_GCC4TI=/usr/local/share/gcc4ti
+	export PATH=$PATH:$PREFIX_GCC4TI/bin
 	export CFLAGS='-Os -s'
 
 Next, simply go into the scripts directory.
@@ -232,7 +234,7 @@ compiler. For installing the TIGCC library, simply launch:
 	./Install_step_3
 
 If you want to be able to use the tigcc front-end and tprbuilder, you should
-append (not prepend !) $TIGCC/bin to your PATH.
+append (not prepend !) $PREFIX_GCC4TI/bin to your PATH.
 
 You need the TI-68k Developer Utilities (several are required for using the
 tigcc front-end, most others are useful, well, utilities). Simply do:

+ 14 - 12
tigcc-linux/scripts/Install

@@ -25,18 +25,18 @@ cd $(dirname $0)
 
 echo "GCC4TI Installation Wizard"
 
-# Get TIGCC prefix directory
-if [ -z "$TIGCC" ]
-then TIGCC="/usr/local/share/gcc4ti"
+# Get GCC4TI prefix directory
+if [ -z "$PREFIX_GCC4TI" ]
+then PREFIX_GCC4TI="/usr/local/share/gcc4ti"
 fi
-echo -n "Destination directory ($TIGCC): "
-read TIGCCnew
+echo -n "Destination directory ($PREFIX_GCC4TI) - will become \$TIGCC: "
+read PREFIX_GCC4TInew
 # PpHd: use eval so that the user can enter e.g. $HOME/gcc4ti
-TIGCCnew=`eval echo "$TIGCCnew"`
-if [ ! -z "$TIGCCnew" ]
-then TIGCC="$TIGCCnew"
+PREFIX_GCC4TInew=`eval echo "$PREFIX_GCC4TInew"`
+if [ ! -z "$PREFIX_GCC4TInew" ]
+then PREFIX_GCC4TI="$PREFIX_GCC4TInew"
 fi
-export TIGCC
+export PREFIX_GCC4TI
 
 # Get Bootstrap compiler
 if [ -z "$CC" ]
@@ -91,12 +91,14 @@ fi
 echo -n "Add environment settings (\$TIGCC, \$PATH) to bashrc [Y/n]? "
 read AddEnvSettings
 echo
-if [ -z "$AddEnvSettings" -o "$AddEnvSettings" = y -o "$AddEnvSettings" = Y ]
+if [ -z "$AddEnvSettings" -o "x$AddEnvSettings" = xy -o "x$AddEnvSettings" = xY ]
 then
-    $TIGCC/bin/envreg
+    TIGCC=$PREFIX_GCC4TI
+    export TIGCC
+    $PREFIX_GCC4TI/bin/envreg
     echo "Done. You must restart bash for the new environment settings to take effect."
     exit 0;
 fi
 
-echo "Done. Make sure you set \$TIGCC to \"$TIGCC\" and add \$TIGCC/bin to your \$PATH before using GCC4TI."
+echo "Done. Make sure you set \$TIGCC to \"$PREFIX_GCC4TI\" and append \$TIGCC/bin to your \$PATH before using GCC4TI."
 exit 0

+ 3 - 3
tigcc-linux/scripts/Install_All

@@ -1,8 +1,8 @@
 #! /bin/sh
-if [ -z $TIGCC ]
- then echo Install_All: error: \$TIGCC not defined; exit 1
+if [ -z $PREFIX_GCC4TI ]
+ then echo Install_All: error: \$PREFIX_GCC4TI not defined; exit 1
 fi
-mkdir $TIGCC
+mkdir $PREFIX_GCC4TI
 if [ "x$GCC4TIHOST" != "x" ]; then
 echo Compiling GCC4TI on custom host $GCC4TIHOST
 export GCC4TIHOST

+ 3 - 3
tigcc-linux/scripts/Install_All_nopatch

@@ -1,8 +1,8 @@
 #! /bin/sh
-if [ -z $TIGCC ]
- then echo Install_All_nopatch: error: \$TIGCC not defined; exit 1
+if [ -z $PREFIX_GCC4TI ]
+ then echo Install_All_nopatch: error: \$PREFIX_GCC4TI not defined; exit 1
 fi
-mkdir $TIGCC
+mkdir $PREFIX_GCC4TI
 if [ "x$GCC4TIHOST" != "x" ]; then
 echo Compiling GCC4TI on custom host $GCC4TIHOST
 export GCC4TIHOST

+ 1 - 1
tigcc-linux/scripts/Install_step_2

@@ -14,6 +14,6 @@ fi
 ./launch.tigcc && ./launch.tprbuilder && ./launch.patcher &&
 ./launch.envreg) || exit 1
 
-rm -f $TIGCC/bin/parser
+rm -f $PREFIX_GCC4TI/bin/parser
 
 exit 0

+ 9 - 9
tigcc-linux/scripts/Install_step_3

@@ -5,17 +5,17 @@
 # files, the other (lib) contains libraries.
 #
 echo GCC4TI script: Installing TIGCCLIB...
-rm -Rf $TIGCC/include
-cp -Rf ../tigcclib/include $TIGCC/
+rm -Rf $PREFIX_GCC4TI/include
+cp -Rf ../tigcclib/include $PREFIX_GCC4TI/
 # only symlink if the file system is case sensitive
-if [ ! -f "$TIGCC/include/asm/OS.h" ]
-then ln -sf $TIGCC/include/asm/os.h $TIGCC/include/asm/OS.h
+if [ ! -f "$PREFIX_GCC4TI/include/asm/OS.h" ]
+then ln -sf $PREFIX_GCC4TI/include/asm/os.h $PREFIX_GCC4TI/include/asm/OS.h
 fi
-rm -Rf $TIGCC/lib
-cp -Rf ../tigcclib/lib $TIGCC
-rm -Rf $TIGCC/examples
-cp -Rf ../tigcclib/examples $TIGCC
+rm -Rf $PREFIX_GCC4TI/lib
+cp -Rf ../tigcclib/lib $PREFIX_GCC4TI
+rm -Rf $PREFIX_GCC4TI/examples
+cp -Rf ../tigcclib/examples $PREFIX_GCC4TI
 
-#cd ../tigcclib/src; make; make clean; cp tigcc.a $TIGCC/include/c
+#cd ../tigcclib/src; make; make clean; cp tigcc.a $PREFIX_GCC4TI/include/c
 
 exit 0

+ 2 - 2
tigcc-linux/scripts/Install_step_4

@@ -16,8 +16,8 @@ if [ "x$GCC4TIHOST" != "x" ]; then
 echo Compiling TI-68k Developer Utilities on custom host $GCC4TIHOST.
 fi
 ./buildall || exit 1
-${install} -d $TIGCC/bin || exit 1
-${install} bin/* $TIGCC/bin || exit 1
+${install} -d $PREFIX_GCC4TI/bin || exit 1
+${install} bin/* $PREFIX_GCC4TI/bin || exit 1
 ./clean
 echo Done.
 

+ 17 - 17
tigcc-linux/scripts/Install_step_5

@@ -13,35 +13,35 @@ else
         install=ginstall
 fi
 
-${install} -d $TIGCC/doc || exit 1
-cd ..; ${install} -m 644 AUTHORS BUGS CHANGELOG COPYING DIRECTORIES HOWTO INSTALL README README.linux README.osX $TIGCC/doc || exit 1
+${install} -d $PREFIX_GCC4TI/doc || exit 1
+cd ..; ${install} -m 644 AUTHORS BUGS CHANGELOG COPYING DIRECTORIES HOWTO INSTALL README README.linux README.osX $PREFIX_GCC4TI/doc || exit 1
 
-${install} -d $TIGCC/doc/a68k || exit 1
-cd sources/a68k; ${install} -m 644 Bugs.txt Doc.txt History.txt ToDo.txt $TIGCC/doc/a68k || exit 1
+${install} -d $PREFIX_GCC4TI/doc/a68k || exit 1
+cd sources/a68k; ${install} -m 644 Bugs.txt Doc.txt History.txt ToDo.txt $PREFIX_GCC4TI/doc/a68k || exit 1
 
-${install} -d $TIGCC/doc/tigcc || exit 1
-cd ../tigcc; ${install} -m 644 AUTHORS COPYING ChangeLog README $TIGCC/doc/tigcc || exit 1
+${install} -d $PREFIX_GCC4TI/doc/tigcc || exit 1
+cd ../tigcc; ${install} -m 644 AUTHORS COPYING ChangeLog README $PREFIX_GCC4TI/doc/tigcc || exit 1
 
-${install} -d $TIGCC/doc/tprbuilder || exit 1
-cd ../tprbuilder; ${install} -m 644 AUTHORS COPYING ChangeLog README $TIGCC/doc/tprbuilder || exit 1
+${install} -d $PREFIX_GCC4TI/doc/tprbuilder || exit 1
+cd ../tprbuilder; ${install} -m 644 AUTHORS COPYING ChangeLog README $PREFIX_GCC4TI/doc/tprbuilder || exit 1
 
-rm -Rf $TIGCC/doc/parser
+rm -Rf $PREFIX_GCC4TI/doc/parser
 
-${install} -d $TIGCC/doc/patcher || exit 1
-cd ../patcher; ${install} -m 644 AUTHORS COPYING ChangeLog README $TIGCC/doc/patcher || exit 1
+${install} -d $PREFIX_GCC4TI/doc/patcher || exit 1
+cd ../patcher; ${install} -m 644 AUTHORS COPYING ChangeLog README $PREFIX_GCC4TI/doc/patcher || exit 1
 
-rm -Rf $TIGCC/doc/html
-cd ../../tigcclib/doc; cp -Rf html $TIGCC/doc
-rm -Rf $TIGCC/doc/tigcclib
-ln -sf $TIGCC/doc/html $TIGCC/doc/tigcclib
+rm -Rf $PREFIX_GCC4TI/doc/html
+cd ../../tigcclib/doc; cp -Rf html $PREFIX_GCC4TI/doc
+rm -Rf $PREFIX_GCC4TI/doc/tigcclib
+ln -sf $PREFIX_GCC4TI/doc/html $PREFIX_GCC4TI/doc/tigcclib
 iswin1=`echo $GCC4TIHOST | grep -E "msys|mingw|cygwin"`
 iswin2=`uname -a | grep -E "msys|mingw|cygwin"`
 if [ "x$iswin1" = "x" -a "x$iswin2" = "x" ]; then
-${install} ../../tigcclib/doc/converter/gcc4tidoc $TIGCC/bin || exit 1
+${install} ../../tigcclib/doc/converter/gcc4tidoc $PREFIX_GCC4TI/bin || exit 1
 fi
 
 echo GCC4TI script: Creating GCC4TI projects folder...
-${install} -d $TIGCC/projects || exit 1
+${install} -d $PREFIX_GCC4TI/projects || exit 1
 
 echo Done.
 

+ 3 - 3
tigcc-linux/scripts/launch.a68k

@@ -22,13 +22,13 @@ echo Installing a68k assembler...
 ORG_PWD=$PWD/..
 cd $ORG_PWD/sources/a68k/
 ${make} -e || exit 1
-${install} -d $TIGCC/bin || exit 1
+${install} -d $PREFIX_GCC4TI/bin || exit 1
 iswin1=`echo $GCC4TIHOST | grep -E "msys|mingw|cygwin"`
 iswin2=`uname -a | grep -E "msys|mingw|cygwin"`
 if [ "x$iswin1" = "x" -a "x$iswin2" = "x" ]; then
-${install} A68k $TIGCC/bin/a68k || exit 1
+${install} A68k $PREFIX_GCC4TI/bin/a68k || exit 1
 else
-${install} A68k $TIGCC/bin/a68k.exe || exit 1
+${install} A68k $PREFIX_GCC4TI/bin/a68k.exe || exit 1
 fi
 ${make} clean
 

+ 5 - 5
tigcc-linux/scripts/launch.binutils

@@ -23,10 +23,10 @@ echo GCC4TI script: Configuring, compiling and installing binutils...
 ORG_PWD=$PWD/..
 mkdir $ORG_PWD/build; cd $ORG_PWD/build; mkdir binutils; cd binutils
 if [ "x$GCC4TIHOST" = "x" ]; then
-../../download/binutils.ti/configure --disable-serial-configure --prefix=$TIGCC --target=m68k-coff --disable-shared --enable-static --disable-multilib --disable-nls --disable-win32-registry
+../../download/binutils.ti/configure --disable-serial-configure --prefix=$PREFIX_GCC4TI --target=m68k-coff --disable-shared --enable-static --disable-multilib --disable-nls --disable-win32-registry
 else
 echo Compiling GCC4TI binutils on custom host $GCC4TIHOST
-../../download/binutils.ti/configure --disable-serial-configure --prefix=$TIGCC --target=m68k-coff --disable-shared --enable-static --disable-multilib --disable-nls --disable-win32-registry --host=$GCC4TIHOST
+../../download/binutils.ti/configure --disable-serial-configure --prefix=$PREFIX_GCC4TI --target=m68k-coff --disable-shared --enable-static --disable-multilib --disable-nls --disable-win32-registry --host=$GCC4TIHOST
 fi
 
 if [ $? -ne 0 ]; then
@@ -86,13 +86,13 @@ if [ $? -ne 0 ]; then
     exit 2
 fi
 
-${install} -d $TIGCC/bin/ || exit 1
+${install} -d $PREFIX_GCC4TI/bin/ || exit 1
 iswin1=`echo $GCC4TIHOST | grep -E "msys|mingw|cygwin"`
 iswin2=`uname -a | grep -E "msys|mingw|cygwin"`
 if [ "x$iswin1" = "x" -a "x$iswin2" = "x" ]; then
-${install} gas/as-new $TIGCC/bin/as || exit 1
+${install} gas/as-new $PREFIX_GCC4TI/bin/as || exit 1
 else
-${install} gas/as-new.exe $TIGCC/bin/as.exe || exit 1
+${install} gas/as-new.exe $PREFIX_GCC4TI/bin/as.exe || exit 1
 fi
 
 cd $ORG_PWD/scripts

+ 2 - 2
tigcc-linux/scripts/launch.envreg

@@ -26,8 +26,8 @@ echo Installing GCC4TI environment registrator...
 ORG_PWD=$PWD/..
 cd $ORG_PWD/sources/envreg/src/
 ${make} -e || exit 1
-${install} -d $TIGCC/bin || exit 1
-${install} envreg $TIGCC/bin || exit 1
+${install} -d $PREFIX_GCC4TI/bin || exit 1
+${install} envreg $PREFIX_GCC4TI/bin || exit 1
 ${make} clean
 
 cd $ORG_PWD/scripts

+ 7 - 7
tigcc-linux/scripts/launch.gcc

@@ -29,10 +29,10 @@ export CC_FOR_BUILD
 ORG_PWD=$PWD/..
 mkdir $ORG_PWD/build; cd $ORG_PWD/build; mkdir gcc; cd gcc
 if [ "x$GCC4TIHOST" = "x" ]; then
-../../download/gcc.ti/configure --prefix=$TIGCC --target=m68k-coff --with-gnu-as --disable-nls --disable-multilib --disable-shared --enable-static --disable-threads --disable-win32-registry --disable-checking --disable-werror --disable-pch --disable-mudflap --disable-libssp
+../../download/gcc.ti/configure --prefix=$PREFIX_GCC4TI --target=m68k-coff --with-gnu-as --disable-nls --disable-multilib --disable-shared --enable-static --disable-threads --disable-win32-registry --disable-checking --disable-werror --disable-pch --disable-mudflap --disable-libssp
 else
 echo Compiling GCC4TI gcc on custom host $GCC4TIHOST
-../../download/gcc.ti/configure --prefix=$TIGCC --target=m68k-coff --with-gnu-as --disable-nls --disable-multilib --disable-shared --enable-static --disable-threads --disable-win32-registry --disable-checking --disable-werror --disable-pch --disable-mudflap --disable-libssp --host=$GCC4TIHOST
+../../download/gcc.ti/configure --prefix=$PREFIX_GCC4TI --target=m68k-coff --with-gnu-as --disable-nls --disable-multilib --disable-shared --enable-static --disable-threads --disable-win32-registry --disable-checking --disable-werror --disable-pch --disable-mudflap --disable-libssp --host=$GCC4TIHOST
 fi
 
 if [ $? -ne 0 ]; then
@@ -64,15 +64,15 @@ echo You should have seen an error. This is normal. GCC4TI installation continue
 cd ../../scripts
 
 # Finish gcc installation
-${install} -d $TIGCC/bin/ || exit 1
+${install} -d $PREFIX_GCC4TI/bin/ || exit 1
 iswin1=`echo $GCC4TIHOST | grep -E "msys|mingw|cygwin"`
 iswin2=`uname -a | grep -E "msys|mingw|cygwin"`
 if [ "x$iswin1" = "x" -a "x$iswin2" = "x" ]; then
-${install} ../build/gcc/gcc/cc1  $TIGCC/bin/ || exit 1
-${install} ../build/gcc/gcc/xgcc $TIGCC/bin/gcc || exit 1
+${install} ../build/gcc/gcc/cc1  $PREFIX_GCC4TI/bin/ || exit 1
+${install} ../build/gcc/gcc/xgcc $PREFIX_GCC4TI/bin/gcc || exit 1
 else
-${install} ../build/gcc/gcc/cc1.exe  $TIGCC/bin/ || exit 1
-${install} ../build/gcc/gcc/xgcc.exe $TIGCC/bin/gcc.exe || exit 1
+${install} ../build/gcc/gcc/cc1.exe  $PREFIX_GCC4TI/bin/ || exit 1
+${install} ../build/gcc/gcc/xgcc.exe $PREFIX_GCC4TI/bin/gcc.exe || exit 1
 fi
 
 cd $ORG_PWD/scripts

+ 8 - 8
tigcc-linux/scripts/launch.ld-tigcc

@@ -43,24 +43,24 @@ linkdll="link.dll"
 fi
 
 ${make} -e all ${linkdll} || exit 1
-${install} -d $TIGCC/bin || exit 1
+${install} -d $PREFIX_GCC4TI/bin || exit 1
 iswin1=`echo $GCC4TIHOST | grep -E "msys|mingw|cygwin"`
 iswin2=`uname -a | grep -E "msys|mingw|cygwin"`
 if [ "x$iswin1" = "x" -a "x$iswin2" = "x" ]; then
-${install} ld-tigcc $TIGCC/bin || exit 1
-${install} ar-tigcc $TIGCC/bin || exit 1
+${install} ld-tigcc $PREFIX_GCC4TI/bin || exit 1
+${install} ar-tigcc $PREFIX_GCC4TI/bin || exit 1
 else
 if [ -f "ld-tigcc.exe" ]; then
-${install} ld-tigcc.exe $TIGCC/bin || exit 1
+${install} ld-tigcc.exe $PREFIX_GCC4TI/bin || exit 1
 else
-${install} ld-tigcc $TIGCC/bin/ld-tigcc.exe || exit 1
+${install} ld-tigcc $PREFIX_GCC4TI/bin/ld-tigcc.exe || exit 1
 fi
 if [ -f "ar-tigcc.exe" ]; then
-${install} ar-tigcc.exe $TIGCC/bin || exit 1
+${install} ar-tigcc.exe $PREFIX_GCC4TI/bin || exit 1
 else
-${install} ar-tigcc $TIGCC/bin/ar-tigcc.exe || exit 1
+${install} ar-tigcc $PREFIX_GCC4TI/bin/ar-tigcc.exe || exit 1
 fi
-${install} link.dll $TIGCC/bin || exit 1
+${install} link.dll $PREFIX_GCC4TI/bin || exit 1
 fi
 ${make} clean
 

+ 2 - 2
tigcc-linux/scripts/launch.patcher

@@ -26,8 +26,8 @@ echo Installing GCC4TI patcher...
 ORG_PWD=$PWD/..
 cd $ORG_PWD/sources/patcher/src/
 ${make} -e || exit 1
-${install} -d $TIGCC/bin || exit 1
-${install} patcher $TIGCC/bin || exit 1
+${install} -d $PREFIX_GCC4TI/bin || exit 1
+${install} patcher $PREFIX_GCC4TI/bin || exit 1
 ${make} clean
 
 cd $ORG_PWD/scripts

+ 2 - 2
tigcc-linux/scripts/launch.tigcc

@@ -26,8 +26,8 @@ echo Installing GCC4TI front-end...
 ORG_PWD=$PWD/..
 cd $ORG_PWD/sources/tigcc/src/
 ${make} -e || exit 1
-${install} -d $TIGCC/bin || exit 1
-${install} tigcc $TIGCC/bin || exit 1
+${install} -d $PREFIX_GCC4TI/bin || exit 1
+${install} tigcc $PREFIX_GCC4TI/bin || exit 1
 ${make} clean
 
 cd $ORG_PWD/scripts

+ 4 - 4
tigcc-linux/scripts/launch.tprbuilder

@@ -22,16 +22,16 @@ echo Installing GCC4TI project builder...
 ORG_PWD=$PWD/..
 cd $ORG_PWD/sources/tprbuilder/src/
 ${make} -e || exit 1
-${install} -d $TIGCC/bin || exit 1
+${install} -d $PREFIX_GCC4TI/bin || exit 1
 iswin1=`echo $GCC4TIHOST | grep -E "msys|mingw|cygwin"`
 iswin2=`uname -a | grep -E "msys|mingw|cygwin"`
 if [ "x$iswin1" = "x" -a "x$iswin2" = "x" ]; then
-${install} tprbuilder $TIGCC/bin || exit 1
+${install} tprbuilder $PREFIX_GCC4TI/bin || exit 1
 else
 if [ -f "tprbuilder.exe" ]; then
-${install} tprbuilder.exe $TIGCC/bin || exit 1
+${install} tprbuilder.exe $PREFIX_GCC4TI/bin || exit 1
 else
-${install} tprbuilder $TIGCC/bin/tprbuilder.exe || exit 1
+${install} tprbuilder $PREFIX_GCC4TI/bin/tprbuilder.exe || exit 1
 fi
 fi
 ${make} clean